Subject: RE: [Sip] Update of display name during a call

From: "Elwell, John" <[email-masked]>
Date: Mon, 01 Sep 2003 16:38:21 +0100

Cullen,

See [JRE] in-line.

John ([email-masked])

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]] 
Sent: 29 August 2003 16:26
To: Elwell, John; [email-masked]
Subject: Re: [Sip] Update of display name during a call

I did think about using the PAI header and it seemed to have some problems.
One is that it is only usable in walled gardens and it would be nice to have
a more generic solution than that but ignoring this, there are other
problems too. 
[JRE] I am not opposing the more generic solution. I would just like to see
PAI allowed for display update during a call in scenarios where PAI is used.

Consider a call that passes through two trust different trust domains. The
first trust domain MUST remove the PAI before it passes it to the second.
Even if it did not remove it, the second MUST ignore it. Even if both
domains failed to do this, the information being passed in the PAI is a
network assertion of identity inside a single trust domain and may not
correspond at all to the display information. For example, a trust domain
might decide to use their billing identifier for the subscriber in the PAI.
[JRE] You seem to be suggesting that PAI is not (necessarily) for an
identity that is to be displayed. However, section 8 of RFC3325 states
"Typically, a user agent renders the value of a P-Asserted-Identity header
field that it receives to its user." This suggests that PAI is indeed for
display.

I'm fine with the PAI possibly overriding that From inside a AIB in the same
way that a UA today can choose to trust the PAI more than the From. I don't
think that PAI really works to pass display name updates in and out of trust
domains and inside a trust domain it overloads two things that may be
different on to one header.

Cullen

On 8/29/03 6:31, "Elwell, John" <[email-masked]> wrote:

> Cullen,
> 
> In trusted situations where P-Asserted-ID is in use, I think it would be
> reasonable to use P-Asserted-ID rather than AIB in the re-INVITE or
UPDATE.
> 
> John ([email-masked])
> 
> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]]
> Sent: 28 August 2003 21:11
> To: [email-masked]
> Cc: Cullen Jennings
> Subject: [Sip] Update of display name during a call
> 
> 
> 
> There has been some discussion on the issues of changing the display name
> associated with a call during the call. This has come up in QSIG cases, it
> has come up in B2BUA cases, and in some other PBX and PSTN
interoperability
> issues. I think it is worth solving.
> 
> How about this as a proposal. The UA can send an re-INVITE or UPDATE (as
> appropriate) with an AIB. The AIB can be authenticated in the normal way.
> The From and To inside the AIB can have a modified display name. The tag
> will not be changed. If a 2543 device receives one of these message, it
may
> end up ignoring it but it will not cause harm. If a device that receives
one
> of these and understands it, it SHOULD update the display name
information.
> This can happen both from callee to caller and caller to callee. The AIB
> might have a PAI in it too.
> 
> Section 12.2.1.1 of 3261 says
> Usage of the URI from the To and From fields in the original
>     request within subsequent requests is done for backwards
>     compatibility with RFC 2543, which used the URI for dialog
>     identification.  In this specification, only the tags are used for
>     dialog identification.  It is expected that mandatory reflection
>     of the original To and From URI in mid-dialog requests will be
>     deprecated in a subsequent revision of this specification.
> 
> Clearly this is in line with that.
> 
> AIBs are about identity and solve some of the complex issues of third
> parties asserting identity on behalf of others. I think this is a good
place
> to deal with issues that is about the displayed identity.
> 
> Thoughts? Issues with this? Better Ideas...
> 
> Thanks, Cullen
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Venkatesh Venkataramanan" <[email-masked]>
Date: Tue, 2 Sep 2003 09:49:41 -0700

That's exactly what we proposed in 

http://www.ietf.org/internet-drafts/draft-venkatar-sipping-called-name-00.tx
t.

regards,
Venkatesh

-----Original Message-----
From: Henry Chen [mailto:[email-masked]]
Sent: Monday, September 01, 2003 8:39 PM
To: Cullen Jennings; Elwell, John; [email-masked]
Subject: RE: [Sip] Update of display name during a call

Not really since a UA only expect to receive PAI, called party receives
it in a request and calling party receives it in the response. 

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]] 
Sent: Sunday, August 31, 2003 10:56 AM
To: Henry Chen; Elwell, John; [email-masked]
Subject: Re: [Sip] Update of display name during a call

Well the PAI is a network asserted From. You are talking about a network
asserted To. I suspect putting both in the same field with lead to
problems.

On 8/29/03 10:49, "Henry Chen" <[email-masked]> wrote:

> 
> The caller's name can be authenticated and put in a PAI header by a 
> proxy in the initial Invite according to RFC3325.
> 
> The problem is how to pass called party name to the call originator 
> when the call is forwarded by the proxy.
> 
> Is there any problem to put called party id or display name in a PAI 
> header in the response to Invite by the proxy in the trusted domain 
> serving the call?
> 
> Thanks,
> 
> Henry
> 
> 
> From: Elwell, John [mailto:[email-masked]]
> Sent: Friday, August 29, 2003 8:32 AM
> To: 'Cullen Jennings'; [email-masked]
> Subject: RE: [Sip] Update of display name during a call
> 
> 
> Cullen,
> 
> In trusted situations where P-Asserted-ID is in use, I think it would 
> be reasonable to use P-Asserted-ID rather than AIB in the re-INVITE or

> There has been some discussion on the issues of changing the display 
> name associated with a call during the call. This has come up in QSIG 
> cases, it has come up in B2BUA cases, and in some other PBX and PSTN 
> interoperability issues. I think it is worth solving.
> 
> appropriate) with an AIB. The AIB can be authenticated in the normal
> way. The From and To inside the AIB can have a modified display name.
> The tag will not be changed. If a 2543 device receives one of these
> message, it may end up ignoring it but it will not cause harm. If a
> device that receives one of these and understands it, it SHOULD update
> the display name information. This can happen both from callee to
caller
> and caller to callee. The AIB might have a PAI in it too.
> 

> place to deal with issues that is about the displayed identity.
> 
> Use [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 
> Use [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 
> Use [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
>

---

From: "Elwell, John" <[email-masked]>
Date: Wed, 03 Sep 2003 11:13:08 +0100

Cullen,

The last sentence of section 5 (proxy behaviour) of RFC3325 states: "If it
does not trust the element, then the proxy MUST examine the Privacy header
field (if present) to determine if the user requested that asserted identity
information be kept private." This implies that an identity for which
privacy is not required can be sent to an untrusted entity, in this case a
UA.

John

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]] 
Sent: 02 September 2003 21:29
To: Henry Chen; Elwell, John; [email-masked]
Subject: Re: [Sip] Update of display name during a call

I think I might be having a disconnect here. John and Henry - you are both
imagining a situation where an IP phone (not a PSTN GW) is inside the trust
domain? How does an anonymous call work in this case - does the phone
receive the PAI information and promise not to display it to the user? I
don't think 3325 imagined devices end the end users possession being part of
the trust domain.

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 29 Aug 2003 08:25:33 -0700

Cullen

On 8/29/03 6:31, "Elwell, John" <[email-masked]> wrote:

> reasonable to use P-Asserted-ID rather than AIB in the re-INVITE or UPDATE.
> 
> has come up in B2BUA cases, and in some other PBX and PSTN interoperability
> will not be changed. If a 2543 device receives one of these message, it may
> end up ignoring it but it will not cause harm. If a device that receives one
> of these and understands it, it SHOULD update the display name information.
> parties asserting identity on behalf of others. I think this is a good place